You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 
Rafał Miłecki beaa2ecc10 mac80211: brcmfmac: fix PCIe reset crash and WARNING 2 years ago
.github Add Issue submission template (redirect to bugs.lede-project.org) 5 years ago
config config: make CONFIG_ALL_* select other CONIFG_ALL_* options 4 years ago
include kernel: Update to version 4.4.194 2 years ago
package mac80211: brcmfmac: fix PCIe reset crash and WARNING 2 years ago
scripts scripts: bundle-libraries: fix logic flaw 3 years ago
target kernel: Add missing config option 2 years ago
toolchain gcc: gcc 6.3.0 fix comparison between pointer and integer 4 years ago
tools tools/e2fsprogs: update to 1.44.1 3 years ago
.gitattributes add .gitattributes to prevent the git autocrlf option from messing with CRLF/LF in files 10 years ago
.gitignore gitignore: add /overlay 5 years ago
BSDmakefile add missing copyright header 15 years ago
Config.in branding: add LEDE branding 6 years ago
LICENSE finally move buildroot-ng to trunk 6 years ago
Makefile Makefile: ensure that BIN_DIR exists for diffconfig 5 years ago
README README: Update project README 6 years ago
feeds.conf.default LEDE v17.01.7: revert to branch defaults 3 years ago
rules.mk rules.mk: fix syntax error 3 years ago

README

This is the buildsystem for the LEDE Linux distribution.

Please use "make menuconfig" to choose your preferred
configuration for the toolchain and firmware.

You need to have installed gcc, binutils, bzip2, flex, python, perl, make,
find, grep, diff, unzip, gawk, getopt, subversion, libz-dev and libc headers.

Run "./scripts/feeds update -a" to get all the latest package definitions
defined in feeds.conf / feeds.conf.default respectively
and "./scripts/feeds install -a" to install symlinks of all of them into
package/feeds/.

Use "make menuconfig" to configure your image.

Simply running "make" will build your firmware.
It will download all sources, build the cross-compile toolchain,
the kernel and all choosen applications.

To build your own firmware you need to have access to a Linux, BSD or MacOSX system
(case-sensitive filesystem required). Cygwin will not be supported because of
the lack of case sensitiveness in the file system.


Sunshine!
Your LEDE Community
http://www.lede-project.org